 /*
 UART functions for retargetting
 */
#include "AMICCOM_CM0.h"
#include "system_A8107M.h"
#include "uart.h"

void UartStdOutInit(void)
{
    UART_init(UART0, (SystemCoreClock/115200), 1, 0, 0, 0, 0, 0 ); 
    GPIO0->ALTFUNCSET = (1<<17);
    return;
}
// Output a character
unsigned char UartPutc(unsigned char my_ch)
{
    UART_SendChar(UART0, my_ch);
    return (my_ch);
}
// Get a character
unsigned char UartGetc(void)
{
    return UART_ReceiveChar(UART0);
}

void UartEndSimulation(void)
{
    UartPutc((char) 0x4); // End of simulation
    while(1);
}

